Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Class BasicCallCenterCTMCSim

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterInfo
          umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterEval
              umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterSim
                  umontreal.iro.lecuyer.contactcenters.ctmc.AbstractCallCenterCTMCSim
                      umontreal.iro.lecuyer.contactcenters.ctmc.BasicCallCenterCTMCSim

All Implemented Interfaces:
  ContactCenterEval, ContactCenterInfo, ContactCenterSim, ContactCenterSimWithObservations

    public class BasicCallCenterCTMCSim

extends AbstractCallCenterCTMCSim

Field Summary
`protected double` | `numExpectedTransitions`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.ctmc.AbstractCallCenterCTMCSim
`awt, cc, ccStat, counters, ctmc, mp, rateChange, simParams, trace`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterSim
`autoResetStartStream, seqSampEachEval`

Constructor Summary
`BasicCallCenterCTMCSim(CallCenter cc, CTMCRepSimParams simParams, int mp)`
`BasicCallCenterCTMCSim(CallCenterParams ccParams, CTMCRepSimParams simParams, int mp)`

Method Summary
`double` | `getNumExpectedTransitions()`
`static void` | `main(String[] args)`
`void` | `simulate(RandomStream stream, double timeHorizon, int n)`
`void` | `simulateTransitions(RandomStream stream, int i, double timeHorizon, int ntr)`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.ctmc.AbstractCallCenterCTMCSim
`addObs, addTransitionListener, clearTransitionListeners, eval, formatInfo, formatReport, getAgentGroupName, getAgentGroupProperties, getAWT, getCompletedSteps, getConfidenceLevel, getContactTypeName, getContactTypeProperties, getCTMC, getCTMC, getCurrentPeriod, getDefaultUnit, getEvalOption, getEvalOptions, getMatrixOfAWTName, getMatrixOfStatProbes, getMaxNumAgents, getModel, getNumAgentGroups, getNumContactTypes, getNumFalseTransitions, getNumInContactTypes, getNumMainPeriods, getNumMatricesOfAWT, getNumOutContactTypes, getNumWaitingQueues, getObs, getPerformanceMeasures, getQueueCapacity, getReportParams, getRequiredNewSteps, getStaffing, getStaffingMatrix, getStat, getStatNumFalseTransitions, getTimeHorizon, getTransitionListeners, getWaitingQueueName, getWaitingQueueProperties, hasEvalOption, initReplication, initStat, initTimer, newSeeds, notifyInit, notifyTransition, numberObs, removeTransitionListener, reset, resetNextSubstream, resetStartStream, resetStartSubstream, seemsUnstable, setConfidenceLevel, setCurrentPeriod, setEvalOption, setMaxNumAgents, setQueueCapacity, setStaffing, setStaffingMatrix, setStat, setTimeHorizon, traceStep`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterSim
`formatStatistics, formatStatisticsExcel, formatStatisticsLaTeX, getAutoResetStartStream, getConfidenceInterval, getConfidenceInterval, getMatrixOfFunctionOfMultipleMeansTallies, getMatrixOfTallies, getMax, getMin, getOneSimDone, getPerformanceMeasure, getSeqSampEachEval, getVariance, hasPerformanceMeasure, setAutoResetStartStream, setOneSimDone, setSeqSampEachEval`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterEval
`getEvalInfo, isVerbose, setReportParams, setVerbose`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterInfo
`getAgentGroupSegmentName, getAgentGroupSegmentProperties, getContactTypeSegmentName, getContactTypeSegmentProperties, getInContactTypeSegmentName, getInContactTypeSegmentProperties, getMainPeriodName, getMainPeriodSegmentName, getNumAgentGroupSegments, getNumAgentGroupsWithSegments, getNumContactTypeSegments, getNumContactTypesWithSegments, getNumInContactTypeSegments, getNumInContactTypesWithSegments, getNumMainPeriodSegments, getNumMainPeriodsWithSegments, getNumOutContactTypeSegments, getNumOutContactTypesWithSegments, getNumWaitingQueueSegments, getNumWaitingQueuesWithSegments, getOutContactTypeSegmentName, getOutContactTypeSegmentProperties, getWaitingQueueSegmentName, getWaitingQueueSegmentProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterSim
`getAutoResetStartStream, getConfidenceInterval, getMatrixOfFunctionOfMultipleMeansTallies, getMatrixOfTallies, getMax, getMin, getSeqSampEachEval, getVariance, setAutoResetStartStream, setSeqSampEachEval`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterEval
`formatStatistics, formatStatisticsExcel, formatStatisticsLaTeX, getEvalInfo, getPerformanceMeasure, hasPerformanceMeasure, isVerbose, setReportParams, setVerbose`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterInfo
`getAgentGroupSegmentName, getAgentGroupSegmentProperties, getContactTypeSegmentName, getContactTypeSegmentProperties, getInContactTypeSegmentName, getInContactTypeSegmentProperties, getMainPeriodName, getMainPeriodSegmentName, getNumAgentGroupSegments, getNumAgentGroupsWithSegments, getNumContactTypeSegments, getNumContactTypesWithSegments, getNumInContactTypeSegments, getNumInContactTypesWithSegments, getNumMainPeriodSegments, getNumMainPeriodsWithSegments, getNumOutContactTypeSegments, getNumOutContactTypesWithSegments, getNumWaitingQueueSegments, getNumWaitingQueuesWithSegments, getOutContactTypeSegmentName, getOutContactTypeSegmentProperties, getWaitingQueueSegmentName, getWaitingQueueSegmentProperties`

Field Detail

### numExpectedTransitions

    protected double numExpectedTransitions

Constructor Detail

### BasicCallCenterCTMCSim

    public BasicCallCenterCTMCSim(CallCenter cc,
                                  CTMCRepSimParams simParams,
                                  int mp)
                           throws CTMCCreationException

Throws:
  `CTMCCreationException`

### BasicCallCenterCTMCSim

    public BasicCallCenterCTMCSim(CallCenterParams ccParams,
                                  CTMCRepSimParams simParams,
                                  int mp)
                           throws CallCenterCreationException,
                                  CTMCCreationException

Throws:
  `CallCenterCreationException`
  `CTMCCreationException`

Method Detail

### getNumExpectedTransitions

    public double getNumExpectedTransitions()

  Specified by:
    `getNumExpectedTransitions` in class `AbstractCallCenterCTMCSim`

### simulateTransitions

    public void simulateTransitions(RandomStream stream,
                                    int i,
                                    double timeHorizon,
                                    int ntr)

### simulate

    public void simulate(RandomStream stream,
                         double timeHorizon,
                         int n)

  Specified by:
    `simulate` in class `AbstractCallCenterCTMCSim`

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.